## ros-jazzy-rosbag2-storage-sqlite3 0.26.5

=== debian/changelog ===
ros-jazzy-rosbag2-storage-sqlite3 (0.26.5-1bookworm) bookworm; urgency=high

  * Fix incorrect zero size for sqlite storage (#1759 <https://github.com/ros2/rosbag2/issues/1759>) (#1761 <https://github.com/ros2/rosbag2/issues/1761>)
    Co-authored-by: Michael Orlov <mailto:michael.orlov@apex.ai>
    (cherry picked from commit 86f681d9f525a4b7c3b4133d6b657e342283aad8)
    Co-authored-by: Roman <mailto:rsokolkov@gmail.com>
  * Fix for failing throws_on_invalid_pragma_in_config_file on Windows (#1742 <https://github.com/ros2/rosbag2/issues/1742>) (#1746 <https://github.com/ros2/rosbag2/issues/1746>)
    (cherry picked from commit 055935d33dd2fed2772657c9dc1f2173eaa7f752)
    Co-authored-by: Michael Orlov <mailto:michael.orlov@apex.ai>
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 05 Sep 2024 16:00:00 -0000

ros-jazzy-rosbag2-storage-sqlite3 (0.26.4-1bookworm) bookworm; urgency=high

  * Add topics with zero message counts to the SQLiteStorage::get_metadata(). (#1725 <https://github.com/ros2/rosbag2/issues/1725>) (#1731 <https://github.com/ros2/rosbag2/issues/1731>)
    Co-authored-by: Michael Orlov <mailto:michael.orlov@apex.ai>
    Co-authored-by: Tomoya Fujita <mailto:Tomoya.Fujita@sony.com>
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 26 Jun 2024 16:00:00 -0000

ros-jazzy-rosbag2-storage-sqlite3 (0.26.3-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 14 May 2024 16:00:00 -0000

ros-jazzy-rosbag2-storage-sqlite3 (0.26.2-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 23 Apr 2024 16:00:00 -0000

ros-jazzy-rosbag2-storage-sqlite3 (0.26.1-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 16 Apr 2024 16:00:00 -0000

ros-jazzy-rosbag2-storage-sqlite3 (0.26.0-1bookworm) bookworm; urgency=high

  * Support service 2/2 --- rosbag2 service play (#1481 <https://github.com/ros2/rosbag2/issues/1481>)
  * Use middleware send and receive timestamps from message_info during recording (#1531 <https://github.com/ros2/rosbag2/issues/1531>)
  * Update to use yaml-cpp version 0.8.0. (#1605 <https://github.com/ros2/rosbag2/issues/1605>)
  * Contributors: Barry Xu, Chris Lalancette, jmachowinski, Michael Orlov

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 15 Apr 2024 16:00:00 -0000

ros-jazzy-rosbag2-storage-sqlite3 (0.25.0-1bookworm) bookworm; urgency=high

  * Make some changes for newer versions of uncrustify. (#1578 <https://github.com/ros2/rosbag2/issues/1578>)
  * Add topic_id returned by storage to the TopicMetadata (#1538 <https://github.com/ros2/rosbag2/issues/1538>)
  * Remove rcpputils::fs dependencies from rosbag2_storages (#1558 <https://github.com/ros2/rosbag2/issues/1558>)
  * Change an incorrect TSA annotation. (#1552 <https://github.com/ros2/rosbag2/issues/1552>)
  * Improve performance in SqliteStorage::get_bagfile_size() (#1516 <https://github.com/ros2/rosbag2/issues/1516>)
  * Update rosbag2_storage_sqlite3 to C++17. (#1501 <https://github.com/ros2/rosbag2/issues/1501>)
  * Use enum values for offered_qos_profiles in code and string names in serialized metadata (#1476 <https://github.com/ros2/rosbag2/issues/1476>)
  * Stop inheriting from std::iterator. (#1424 <https://github.com/ros2/rosbag2/issues/1424>)
  * Contributors: Chris Lalancette, Michael Orlov, Patrick Roncagliolo, Roman Sokolkov

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 26 Mar 2024 16:00:00 -0000

ros-jazzy-rosbag2-storage-sqlite3 (0.24.0-1bookworm) bookworm; urgency=high

  * Implement storing and loading ROS_DISTRO from metadata.yaml and mcap files (#1241 <https://github.com/ros2/rosbag2/issues/1241>)
  * Store metadata in db3 file (#1294 <https://github.com/ros2/rosbag2/issues/1294>)
  * Contributors: Emerson Knapp, Michael Orlov

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 10 Jul 2023 16:00:00 -0000

ros-jazzy-rosbag2-storage-sqlite3 (0.23.0-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 27 Apr 2023 16:00:00 -0000

ros-jazzy-rosbag2-storage-sqlite3 (0.22.0-1bookworm) bookworm; urgency=high

  * Add type_hash in MessageDefinition struct (#1296 <https://github.com/ros2/rosbag2/issues/1296>)
  * Store message definitions in SQLite3 storage plugin (#1293 <https://github.com/ros2/rosbag2/issues/1293>)
  * Add message definition read API (#1292 <https://github.com/ros2/rosbag2/issues/1292>)
  * rosbag2_storage: add type description hash to topic metadata (#1272 <https://github.com/ros2/rosbag2/issues/1272>)
  * Contributors: Michael Orlov, james-rms

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 17 Apr 2023 16:00:00 -0000

ros-jazzy-rosbag2-storage-sqlite3 (0.21.0-1bookworm) bookworm; urgency=high

  * rosbag2_cpp: move local message definition source out of MCAP plugin (#1265 <https://github.com/ros2/rosbag2/issues/1265>)
  * Update rosbag2 to C++17. (#1238 <https://github.com/ros2/rosbag2/issues/1238>)
  * Use target_link_libraries instead of ament_target_dependencies (#1202 <https://github.com/ros2/rosbag2/issues/1202>)
  * Contributors: Chris Lalancette, Daisuke Nishimatsu, Michael Orlov, james-rms

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 11 Apr 2023 16:00:00 -0000

ros-jazzy-rosbag2-storage-sqlite3 (0.20.0-1bookworm) bookworm; urgency=high

  * CLI: Get storage-specific values from plugin (#1209 <https://github.com/ros2/rosbag2/issues/1209>)
  * Contributors: Emerson Knapp

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 13 Feb 2023 16:00:00 -0000

ros-jazzy-rosbag2-storage-sqlite3 (0.19.0-1bookworm) bookworm; urgency=high

  * Add Michael Orlov as maintainer in rosbag2 packages (#1215 <https://github.com/ros2/rosbag2/issues/1215>)
  * Remove sqlite3-specific info from main README, make it more storage agnostic and point to plugin-specific README (#1193 <https://github.com/ros2/rosbag2/issues/1193>)
  * set_read_order: return success (#1177 <https://github.com/ros2/rosbag2/issues/1177>)

